%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global svnrev 9626

Name:           trac-spamfilter-plugin
Version:        0.2.1
Release:        0.8.20100506svn%{svnrev}%{?dist}
Summary:        Spam-Filter plugin for Trac
Group:          Applications/Internet
License:        BSD
URL:            http://trac.edgewall.org/wiki/SpamFilter
Source0:        TracSpamFilter-%{version}dev-r%{svnrev}.tar.bz2
Source1:        pull-from-svn.sh
Patch0:         TracSpamFilter-0.2.1dev-bayes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       trac >= 0.11
Requires:       python-dns
Requires:       python-setuptools
Requires:       spambayes

%description
TracSpamFilter is a plugin for Trac (http://trac.edgewall.com/) that provides
an infrastructure for detecting and rejecting spam (or other forms of
illegitimate/unwanted content) in submitted content.


%prep
%setup -n TracSpamFilter-%{version}dev-r%{svnrev} -q

# Upstream fixes for Bayes classifier pulled from 0.12 branch
%patch0 -p1


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/TracSpamFilter-%{version}dev_r%{svnrev}-py*.egg-info/
%{python_sitelib}/tracspamfilter/


%changelog
* Thu Feb 17 2011 Paul Howarth <paul@city-fan.org> - 0.2.1-0.8.20100506svn9626
- Update to current svn snapshot
- Plugin requires trac >= 0.11, so drop EL4 support
- Add dependency on python-dns for DNS blacklist support
- Add pull-from-svn script for creation of tarball
- Add patch with upstream fixes for Bayes classifier problems (upstream #10033)

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.1-0.7.20090714svn8330
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-0.6.20090714svn8330
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Paul Howarth <paul@city-fan.org> - 0.2.1-0.5.20090714svn8330
- Update to rev8330, addresses upstream tickets #6130, #7627, #8032, #8121, #8257

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-0.4.20080603svn6990
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.1-0.3.20080603svn6990
- Rebuild for Python 2.6

* Fri Jul 04 2008 Jesse Keating <jkeating@redhat.com> - 0.2.1-0.2.20080603svn6990
- R spambayes

* Tue Jun 03 2008 Jesse Keating <jkeating@redhat.com> - 0.2.1-0.1.20080603svn6990
- Initial packaging

